### Method

# ClapperGtk Container set_width_target

#### Declaration [src]

    void
    clapper_gtk_container_set_width_target (
      ClapperGtkContainer* container,
      gint width
    )

#### Description [src]

Set a width that `container` should target. When set container will not stretch beyond set `width` while still expanding into possible boundaries trying to reach its target.

Sets property | `ClapperGtk.Container:width-target`

#### Parameters

`width`

  Type: `gint`

  Width to target -1 to restore default behavior.